SparrowDesk
Conversations

Delete a conversation

DELETE
/conversations/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Conversation id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://app.sparrowdesk.com/v1/conversations/0"
{
  "data": {
    "success": true
  }
}
{
  "error": {
    "message": "Invalid conversation ID"
  }
}
{
  "message": "Unauthorized"
}
{
  "error": {
    "message": "Conversation not found"
  }
}
{
  "name": "RateLimitExceeded",
  "message": "Rate limit exceeded for: APIS_PER_MINUTE",
  "code": 429,
  "details": [
    {
      "name": "APIS_PER_MINUTE",
      "quota": 0,
      "count": 0,
      "remaining": 0
    }
  ]
}
{
  "error": {
    "message": "Error deleting conversation"
  }
}